# Open Orders

## Get open orders list

<mark style="color:green;">`GET`</mark> `/open-orders`

Get open orders with pagination

**Headers**

| Name       | Value                 |
| ---------- | --------------------- |
| X-API-Key  | `API Key`             |
| X-API-Sign | `Generated Signature` |

**Query Params**

<table><thead><tr><th>Name</th><th>Type</th><th data-type="checkbox">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>pair</code></td><td>string</td><td>false</td><td>Example NIZA/USDT</td></tr><tr><td><code>page-size</code></td><td>number</td><td>false</td><td> If not set, no pagination is applied</td></tr><tr><td><code>page</code></td><td>number</td><td>false</td><td>Page number if pagination is enabled</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "success": true,
    "message": "Request processed successfully",
    "data": [
        {
            "id": 420,
            "user_id": 16,
            "transaction_id": "O39OO7-NIBT3-7RTNX1",
            "status": "open",
            "open_time": "1711233663.0000",
            "close_time": null,
            "expire_time": "0.0000",
            "reason": null,
            "pair": "NIZAEUR",
            "type": "buy",
            "order_type": "limit",
            "description": {
                "pair": "NIZAEUR",
                "type": "buy",
                "close": "",
                "order": "buy 2092.00000000 NIZAEUR @ limit",
                "price": "0.01410000",
                "leverage": "none",
                "orderType": "limit",
                "secondaryPrice": null
            },
            "volume": {
                "amount": "2092.00000000",
                "currency": "NIZA"
            },
            "volume_executed": {
                "amount": "0.00000000",
                "currency": "NIZA"
            },
            "fee": null,
            "price": {
                "amount": "0.01410000",
                "currency": "EUR"
            },
            "secondary_price": null,
            "limit_price": null,
            "cost": null,
            "asset_pair": {
                "id": 679,
                "name": "NIZAEUR",
                "display_name": "NIZA/EUR",
                "base_name": "NIZA",
                "quote_name": "EUR"
            },
            "trigger_conditions": "--",
            "trades": []
        },
        {
            "id": 419,
            "user_id": 16,
            "transaction_id": "ORQPE8-UZJQK-INBBPM",
            "status": "open",
            "open_time": "1711233600.0000",
            "close_time": null,
            "expire_time": "0.0000",
            "reason": null,
            "pair": "NIZAEUR",
            "type": "buy",
            "order_type": "limit",
            "description": {
                "pair": "NIZAEUR",
                "type": "buy",
                "close": "",
                "order": "buy 1000.00000000 NIZAEUR @ limit",
                "price": "0.01450000",
                "leverage": "none",
                "orderType": "limit",
                "secondaryPrice": null
            },
            "volume": {
                "amount": "1000.00000000",
                "currency": "NIZA"
            },
            "volume_executed": {
                "amount": "0.00000000",
                "currency": "NIZA"
            },
            "fee": null,
            "price": {
                "amount": "0.01450000",
                "currency": "EUR"
            },
            "secondary_price": null,
            "limit_price": null,
            "cost": null,
            "asset_pair": {
                "id": 679,
                "name": "NIZAEUR",
                "display_name": "NIZA/EUR",
                "base_name": "NIZA",
                "quote_name": "EUR"
            },
            "trigger_conditions": "--",
            "trades": []
        }
    ],
    "code": 200,
    "meta": {
        "current_page": 1,
        "from": 1,
        "to": 2,
        "path": "https://app.niza.io/trade/v1/open-orders",
        "per_page": 2,
        "total": 9,
        "last_page": 5
    }
}
```

{% endtab %}

{% tab title="422" %}

```json
{
  "error": "Invalid Signature"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.niza.io/authenticated-endpoints/orders/open-orders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
